24 Jun 2022

#### Bug fixes

##### General

 - Fix IP address truncation when using autodetection method "k8s-internal-ip" [calico #6234](https://github.com/projectcalico/calico/pull/6234) (@Josh-Tigera)
 - Fix that a combination of node deletions and workload IP relocation previously could result in multiple nodes having the same CIDR. [calico #6213](https://github.com/projectcalico/calico/pull/6213) (@robbrockbank)
 - Fix helm upgrade instructions [calico #6118](https://github.com/projectcalico/calico/pull/6118) (@caseydavenport)

##### Wireguard

 - Handle errors correctly in wireguard tunnel IP setting on the node [calico #6213](https://github.com/projectcalico/calico/pull/6213) (@robbrockbank)
 - When there is no allocated Wireguard interface IP and host encryption is enabled the host IP is used as the device IP.  This ensures source IP selection will choose the correct host IP when routing over Wireguard [calico #6213](https://github.com/projectcalico/calico/pull/6213) (@robbrockbank)
 - Don't allocate wireguard device IPs for managed cloud non-calico CNI [calico #6213](https://github.com/projectcalico/calico/pull/6213) (@robbrockbank)

#### Other changes

##### General

 - Update the ipset package from 7.1 to 7.11 for ARM builds [calico #6264](https://github.com/projectcalico/calico/pull/6264) (@ScOut3R)
 - Calico now uses the TokenRequest API to generate and refresh a token for the CNI plugin.  This ensures that the token remains valid even when the calico-node daemonset is restarted. (@[ScheererJ](https://github.com/ScheererJ)) [calico #6218](https://github.com/projectcalico/calico/pull/6218) (@caseydavenport)
 - Updating a couple of dependencies for Calico 3.23 (including, spf13/viper, spf13/cobra and etcd related dependencies). Updating the dependencies would also help us with our CVE scan process. [calico #6164](https://github.com/projectcalico/calico/pull/6164) (@Behnam-Shobiri)

##### eBPF dataplane

 - eBPF: Move mount of BPFfs and cgroupv2 to a dedicated init container with elevated privileges; enter the root cgroup namespace to mount cgroupv2 in order to allow the CTLB to be installed system-wide. Reduce the mount privileges of the main calico-node container. [calico #6240](https://github.com/projectcalico/calico/pull/6240) (@mazdakn)
